%global pypi_name scikit-image
%global srcname scikit_image

Name:           python-%{pypi_name}
Version:        0.23.2
Release:        %mkrel 2
Summary:        Image processing in Python
# The following files are BSD 2 clauses, the rest BSD 3 clauses
# skimage/graph/_mcp.pyx
# skimage/graph/heap.pyx
License:        BSD
Group:          Development/Python
URL:            https://scikit-image.org/
Source0:        %{pypi_source}
Patch0:         scikit_image-linking.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(meson-python)
BuildRequires:  libgomp-devel

%description
The scikit-image SciKit (toolkit for SciPy) extends scipy.ndimage to provide a
versatile set of image processing routines.

%package -n python3-%{pypi_name}
Summary:        Image processing in Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-cython
BuildRequires:  python3-scipy
BuildRequires:  python3-matplotlib
BuildRequires:  python3-nose
BuildRequires:  python3-pillow
BuildRequires:  python3-six >= 1.3
BuildRequires:  python3dist(pythran)
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-scipy
Requires:       python3-six >= 1.3
Requires:       python3-matplotlib-qt5

Obsoletes:      scikit-image-tools < 0.22.0

%description -n python3-%{pypi_name}
The scikit-image SciKit (toolkit for SciPy) extends scipy.ndimage to provide a
versatile set of image processing routines.

%prep
%autosetup -n %{srcname}-%{version} -p1

# For regeneration of cython source
rm -f $(grep -rl '/\* Generated by Cython')

# No need to build the whole pkg multiple times
#%%generate_buildrequires
#%%pyproject_buildrequires -w

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files skimage

# This is also installed
rm -rf %{buildroot}%{python3_sitearch}/doc/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CONTRIBUTORS.txt LICENSE.txt RELEASE.txt TODO.txt


%changelog
* Mon Mar 03 2025 wally <wally> 0.23.2-2.mga10
+ Revision: 2159933
- rebuild for python3.13

* Sat Apr 27 2024 daviddavid <daviddavid> 0.23.2-1.mga10
+ Revision: 2061351
- new version: 0.23.2

* Wed Dec 27 2023 wally <wally> 0.22.0-1.mga10
+ Revision: 2022287
- new version 0.22.0

* Sun Jan 01 2023 neoclust <neoclust> 0.19.3-1.mga9
+ Revision: 1928566
- New version  0.19.3

* Wed Apr 06 2022 umeabot <umeabot> 0.18.3-3.mga9
+ Revision: 1846135
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.18.3-2.mga9
+ Revision: 1782683
- rebuild for python-3.10

* Thu Sep 02 2021 wally <wally> 0.18.3-1.mga9
+ Revision: 1744115
- new version 0.18.3

* Tue Apr 20 2021 daviddavid <daviddavid> 0.18.1-3.mga9
+ Revision: 1717309
- relax matplotlib and pillow dependencies

* Mon Apr 19 2021 daviddavid <daviddavid> 0.18.1-2.mga9
+ Revision: 1717069
- rebuild for python 3.9

* Tue Mar 02 2021 daviddavid <daviddavid> 0.18.1-1.mga9
+ Revision: 1695848
- new version: 0.18.1

* Mon Feb 17 2020 umeabot <umeabot> 0.16.2-2.mga8
+ Revision: 1537179
- Mageia 8 Mass Rebuild

* Sun Oct 27 2019 daviddavid <daviddavid> 0.16.2-1.mga8
+ Revision: 1456003
- new version: 0.16.2

* Sun Sep 29 2019 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1447992
- new version: 0.15.0
- rebuild for python3.8
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 0.14.1-2.mga7
+ Revision: 1355272
- rebuild for python 3.7

* Thu Jan 10 2019 shlomif <shlomif> 0.14.1-1.mga7
+ Revision: 1354350
- New version
+ daviddavid <daviddavid>
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.11.3-4.mga7
+ Revision: 1300590
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.11.3-3.mga7
+ Revision: 1135619
- Rebuild for python 3.6

* Fri Feb 05 2016 umeabot <umeabot> 0.11.3-2.mga6
+ Revision: 937387
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 daviddavid <daviddavid> 0.11.3-1.mga6
+ Revision: 900934
- add BuildRequires python(3)-numpy-devel
- do not provide library for python3
- use new python macros
+ tv <tv>
- new release

* Sat Oct 10 2015 tv <tv> 0.10.1-3.mga6
+ Revision: 888992
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-2.mga5
+ Revision: 749399
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 dglent <dglent> 0.10.1-1.mga5
+ Revision: 730975
- imported package python-scikit-image

